Skip to navigation

List comments

The review thread on an issue, oldest first.

Requires the issues:read API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

issueIdstringRequired

Issue UUID or label, e.g. VULN-000123.

Query parameters

pageintegerOptional1-9007199254740991
Defaults to 1.
pageSizeintegerOptional1-200
Defaults to 50.

Response

A page of comments.
commentslist of objects
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error